//
//  PersonTableController.h
//  Person Database
//
//  Created by Holger Hinzberg on 19.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Person.h"

@interface PersonTableController : 
    NSObject <NSTableViewDataSource, NSTableViewDelegate>
{
    // Das Array für die Daten
    NSMutableArray *personArray;
    
    // Der Identifier der zuletzt gewählte Spalte.
    NSString *lastClickedIdentifier;
    
    // Zuletzt gewählte Spalte
    NSTableColumn *lastClickedColumn;
    
    // Wert, um die Sortierrichtung zu speichern.
    BOOL isSortOrderAscending;
}

- (void)addPerson:(Person *)aPerson;
- (void)drawSortArrows:(BOOL)isSortAscending forColumn:(NSTableColumn *)tableColumn;

@property (weak) IBOutlet NSTableView *personTable;

@end
